package com.adealink.weparty.im.manager.login

import android.app.Application
import com.adealink.frame.frame.IBaseFrame
import com.adealink.weparty.module.profile.data.UserInfo

interface ILoginManager : IBaseFrame<ILoginListener> {

    fun init(application: Application)

    fun login(reLogin: Boolean = false)

    fun isLogin(): Boolean

    fun updateSelfUserInfo(userInfo: UserInfo?)

    /**
     * 检查登录状态,如果没有在登录,则尝试重新登录
     */
    fun checkLogin()

}